Imports System.Collections.ObjectModel
Imports EgtBEAMWALL.Core
Imports EgtWPFLib5

Public Class MyBeamMachiningsWindowVM
   Inherits BeamMachiningsWindowVM

#Region "FIELDS & PROPERTIES"

   Private m_BeamMachiningsColumns As New ObservableCollection(Of EgtDataGridColumn)
   Public Property BeamMachiningsColumns As ObservableCollection(Of EgtDataGridColumn)
      Get
         Return m_BeamMachiningsColumns
      End Get
      Set(value As ObservableCollection(Of EgtDataGridColumn))
         m_BeamMachiningsColumns = value
      End Set
   End Property

#End Region    ' FIELDS & PROPERTIES

#Region "CONSTRUCTOR"

   Sub New(sTitle As String, sBaseDir As String, sMachTypePath As String, sTabTemplPath As String, Optional bIsBeam As Boolean = True)
      MyBase.New(sTitle, sBaseDir, sMachTypePath, sTabTemplPath, bIsBeam)
      ' carico le colonne della datagrid
      GetPrivateProfileColumns(S_BEAMMACHININGS, BeamMachiningsColumns)
      ' aggiorno la visibilità delle colonne
      For Each col In BeamMachiningsColumns
         col.ColumnVisibility = If(col.Visible, Visibility.Visible, Visibility.Collapsed)
      Next
   End Sub

#End Region    ' CONSTRUCTOR

End Class